1
0
Fork 0
Browse Source

create v-env. for server and update requirements.

pull/1/head
Craig Oates 4 years ago
parent
commit
1975e6ecbf
  1. 1
      requirements.txt
  2. 76
      ser-ver/bin/activate
  3. 37
      ser-ver/bin/activate.csh
  4. 75
      ser-ver/bin/activate.fish
  5. 11
      ser-ver/bin/chardetect
  6. 11
      ser-ver/bin/connexion
  7. 11
      ser-ver/bin/easy_install
  8. 11
      ser-ver/bin/easy_install-3.7
  9. 11
      ser-ver/bin/flask
  10. 11
      ser-ver/bin/gunicorn
  11. 11
      ser-ver/bin/jsonschema
  12. 11
      ser-ver/bin/openapi-spec-validator
  13. 11
      ser-ver/bin/pip
  14. 11
      ser-ver/bin/pip3
  15. 11
      ser-ver/bin/pip3.7
  16. 1
      ser-ver/bin/python
  17. 1
      ser-ver/bin/python3
  18. 1
      ser-ver/bin/python3.7
  19. 11
      ser-ver/bin/virtualenv
  20. 1
      ser-ver/lib64
  21. 3
      ser-ver/pyvenv.cfg
  22. BIN
      ser-ver/share/python-wheels/CacheControl-0.11.7-py2.py3-none-any.whl
  23. BIN
      ser-ver/share/python-wheels/appdirs-1.4.3-py2.py3-none-any.whl
  24. BIN
      ser-ver/share/python-wheels/certifi-2018.1.18-py2.py3-none-any.whl
  25. BIN
      ser-ver/share/python-wheels/chardet-3.0.4-py2.py3-none-any.whl
  26. BIN
      ser-ver/share/python-wheels/colorama-0.3.7-py2.py3-none-any.whl
  27. BIN
      ser-ver/share/python-wheels/distlib-0.2.6-py2.py3-none-any.whl
  28. BIN
      ser-ver/share/python-wheels/distro-1.0.1-py2.py3-none-any.whl
  29. BIN
      ser-ver/share/python-wheels/html5lib-0.999999999-py2.py3-none-any.whl
  30. BIN
      ser-ver/share/python-wheels/idna-2.6-py2.py3-none-any.whl
  31. BIN
      ser-ver/share/python-wheels/ipaddress-0.0.0-py2.py3-none-any.whl
  32. BIN
      ser-ver/share/python-wheels/lockfile-0.12.2-py2.py3-none-any.whl
  33. BIN
      ser-ver/share/python-wheels/packaging-17.1-py2.py3-none-any.whl
  34. BIN
      ser-ver/share/python-wheels/pip-9.0.1-py2.py3-none-any.whl
  35. BIN
      ser-ver/share/python-wheels/pkg_resources-0.0.0-py2.py3-none-any.whl
  36. BIN
      ser-ver/share/python-wheels/progress-1.2-py2.py3-none-any.whl
  37. BIN
      ser-ver/share/python-wheels/pyparsing-2.2.0-py2.py3-none-any.whl
  38. BIN
      ser-ver/share/python-wheels/requests-2.18.4-py2.py3-none-any.whl
  39. BIN
      ser-ver/share/python-wheels/retrying-1.3.3-py2.py3-none-any.whl
  40. BIN
      ser-ver/share/python-wheels/setuptools-39.0.1-py2.py3-none-any.whl
  41. BIN
      ser-ver/share/python-wheels/six-1.11.0-py2.py3-none-any.whl
  42. BIN
      ser-ver/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl
  43. BIN
      ser-ver/share/python-wheels/webencodings-0.5-py2.py3-none-any.whl
  44. BIN
      ser-ver/share/python-wheels/wheel-0.30.0-py2.py3-none-any.whl

1
requirements.txt

@ -7,6 +7,7 @@ Flask==1.1.1
flask-marshmallow==0.10.1
Flask-SQLAlchemy==2.4.0
Flask-WTF==0.14.2
gunicorn==20.0.4
idna==2.8
inflection==0.3.1
itsdangerous==1.1.0

76
ser-ver/bin/activate

@ -0,0 +1,76 @@
# This file must be used with "source bin/activate" *from bash*
# you cannot run it directly
deactivate () {
# reset old environment variables
if [ -n "${_OLD_VIRTUAL_PATH:-}" ] ; then
PATH="${_OLD_VIRTUAL_PATH:-}"
export PATH
unset _OLD_VIRTUAL_PATH
fi
if [ -n "${_OLD_VIRTUAL_PYTHONHOME:-}" ] ; then
PYTHONHOME="${_OLD_VIRTUAL_PYTHONHOME:-}"
export PYTHONHOME
unset _OLD_VIRTUAL_PYTHONHOME
fi
# This should detect bash and zsh, which have a hash command that must
# be called to get it to forget past commands. Without forgetting
# past commands the $PATH changes we made may not be respected
if [ -n "${BASH:-}" -o -n "${ZSH_VERSION:-}" ] ; then
hash -r
fi
if [ -n "${_OLD_VIRTUAL_PS1:-}" ] ; then
PS1="${_OLD_VIRTUAL_PS1:-}"
export PS1
unset _OLD_VIRTUAL_PS1
fi
unset VIRTUAL_ENV
if [ ! "${1:-}" = "nondestructive" ] ; then
# Self destruct!
unset -f deactivate
fi
}
# unset irrelevant variables
deactivate nondestructive
VIRTUAL_ENV="/home/ubuntu/www/midpoint/ser-ver"
export VIRTUAL_ENV
_OLD_VIRTUAL_PATH="$PATH"
PATH="$VIRTUAL_ENV/bin:$PATH"
export PATH
# unset PYTHONHOME if set
# this will fail if PYTHONHOME is set to the empty string (which is bad anyway)
# could use `if (set -u; : $PYTHONHOME) ;` in bash
if [ -n "${PYTHONHOME:-}" ] ; then
_OLD_VIRTUAL_PYTHONHOME="${PYTHONHOME:-}"
unset PYTHONHOME
fi
if [ -z "${VIRTUAL_ENV_DISABLE_PROMPT:-}" ] ; then
_OLD_VIRTUAL_PS1="${PS1:-}"
if [ "x(ser-ver) " != x ] ; then
PS1="(ser-ver) ${PS1:-}"
else
if [ "`basename \"$VIRTUAL_ENV\"`" = "__" ] ; then
# special case for Aspen magic directories
# see http://www.zetadev.com/software/aspen/
PS1="[`basename \`dirname \"$VIRTUAL_ENV\"\``] $PS1"
else
PS1="(`basename \"$VIRTUAL_ENV\"`)$PS1"
fi
fi
export PS1
fi
# This should detect bash and zsh, which have a hash command that must
# be called to get it to forget past commands. Without forgetting
# past commands the $PATH changes we made may not be respected
if [ -n "${BASH:-}" -o -n "${ZSH_VERSION:-}" ] ; then
hash -r
fi

37
ser-ver/bin/activate.csh

@ -0,0 +1,37 @@
# This file must be used with "source bin/activate.csh" *from csh*.
# You cannot run it directly.
# Created by Davide Di Blasi <davidedb@gmail.com>.
# Ported to Python 3.3 venv by Andrew Svetlov <andrew.svetlov@gmail.com>
alias deactivate 'test $?_OLD_VIRTUAL_PATH != 0 && setenv PATH "$_OLD_VIRTUAL_PATH" && unset _OLD_VIRTUAL_PATH; rehash; test $?_OLD_VIRTUAL_PROMPT != 0 && set prompt="$_OLD_VIRTUAL_PROMPT" && unset _OLD_VIRTUAL_PROMPT; unsetenv VIRTUAL_ENV; test "\!:*" != "nondestructive" && unalias deactivate'
# Unset irrelevant variables.
deactivate nondestructive
setenv VIRTUAL_ENV "/home/ubuntu/www/midpoint/ser-ver"
set _OLD_VIRTUAL_PATH="$PATH"
setenv PATH "$VIRTUAL_ENV/bin:$PATH"
set _OLD_VIRTUAL_PROMPT="$prompt"
if (! "$?VIRTUAL_ENV_DISABLE_PROMPT") then
if ("ser-ver" != "") then
set env_name = "ser-ver"
else
if (`basename "VIRTUAL_ENV"` == "__") then
# special case for Aspen magic directories
# see http://www.zetadev.com/software/aspen/
set env_name = `basename \`dirname "$VIRTUAL_ENV"\``
else
set env_name = `basename "$VIRTUAL_ENV"`
endif
endif
set prompt = "[$env_name] $prompt"
unset env_name
endif
alias pydoc python -m pydoc
rehash

75
ser-ver/bin/activate.fish

@ -0,0 +1,75 @@
# This file must be used with ". bin/activate.fish" *from fish* (http://fishshell.org)
# you cannot run it directly
function deactivate -d "Exit virtualenv and return to normal shell environment"
# reset old environment variables
if test -n "$_OLD_VIRTUAL_PATH"
set -gx PATH $_OLD_VIRTUAL_PATH
set -e _OLD_VIRTUAL_PATH
end
if test -n "$_OLD_VIRTUAL_PYTHONHOME"
set -gx PYTHONHOME $_OLD_VIRTUAL_PYTHONHOME
set -e _OLD_VIRTUAL_PYTHONHOME
end
if test -n "$_OLD_FISH_PROMPT_OVERRIDE"
functions -e fish_prompt
set -e _OLD_FISH_PROMPT_OVERRIDE
functions -c _old_fish_prompt fish_prompt
functions -e _old_fish_prompt
end
set -e VIRTUAL_ENV
if test "$argv[1]" != "nondestructive"
# Self destruct!
functions -e deactivate
end
end
# unset irrelevant variables
deactivate nondestructive
set -gx VIRTUAL_ENV "/home/ubuntu/www/midpoint/ser-ver"
set -gx _OLD_VIRTUAL_PATH $PATH
set -gx PATH "$VIRTUAL_ENV/bin" $PATH
# unset PYTHONHOME if set
if set -q PYTHONHOME
set -gx _OLD_VIRTUAL_PYTHONHOME $PYTHONHOME
set -e PYTHONHOME
end
if test -z "$VIRTUAL_ENV_DISABLE_PROMPT"
# fish uses a function instead of an env var to generate the prompt.
# save the current fish_prompt function as the function _old_fish_prompt
functions -c fish_prompt _old_fish_prompt
# with the original prompt function renamed, we can override with our own.
function fish_prompt
# Save the return status of the last command
set -l old_status $status
# Prompt override?
if test -n "(ser-ver) "
printf "%s%s" "(ser-ver) " (set_color normal)
else
# ...Otherwise, prepend env
set -l _checkbase (basename "$VIRTUAL_ENV")
if test $_checkbase = "__"
# special case for Aspen magic directories
# see http://www.zetadev.com/software/aspen/
printf "%s[%s]%s " (set_color -b blue white) (basename (dirname "$VIRTUAL_ENV")) (set_color normal)
else
printf "%s(%s)%s" (set_color -b blue white) (basename "$VIRTUAL_ENV") (set_color normal)
end
end
# Restore the return status of the previous command.
echo "exit $old_status" | .
_old_fish_prompt
end
set -gx _OLD_FISH_PROMPT_OVERRIDE "$VIRTUAL_ENV"
end

11
ser-ver/bin/chardetect

@ -0,0 +1,11 @@
#!/home/ubuntu/www/midpoint/ser-ver/bin/python3.7
# -*- coding: utf-8 -*-
import re
import sys
from chardet.cli.chardetect import main
if __name__ == '__main__':
sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0])
sys.exit(main())

11
ser-ver/bin/connexion

@ -0,0 +1,11 @@
#!/home/ubuntu/www/midpoint/ser-ver/bin/python3.7
# -*- coding: utf-8 -*-
import re
import sys
from connexion.cli import main
if __name__ == '__main__':
sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0])
sys.exit(main())

11
ser-ver/bin/easy_install

@ -0,0 +1,11 @@
#!/home/ubuntu/www/midpoint/ser-ver/bin/python3.7
# -*- coding: utf-8 -*-
import re
import sys
from setuptools.command.easy_install import main
if __name__ == '__main__':
sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0])
sys.exit(main())

11
ser-ver/bin/easy_install-3.7

@ -0,0 +1,11 @@
#!/home/ubuntu/www/midpoint/ser-ver/bin/python3.7
# -*- coding: utf-8 -*-
import re
import sys
from setuptools.command.easy_install import main
if __name__ == '__main__':
sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0])
sys.exit(main())

11
ser-ver/bin/flask

@ -0,0 +1,11 @@
#!/home/ubuntu/www/midpoint/ser-ver/bin/python3.7
# -*- coding: utf-8 -*-
import re
import sys
from flask.cli import main
if __name__ == '__main__':
sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0])
sys.exit(main())

11
ser-ver/bin/gunicorn

@ -0,0 +1,11 @@
#!/home/ubuntu/www/midpoint/ser-ver/bin/python3.7
# -*- coding: utf-8 -*-
import re
import sys
from gunicorn.app.wsgiapp import run
if __name__ == '__main__':
sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0])
sys.exit(run())

11
ser-ver/bin/jsonschema

@ -0,0 +1,11 @@
#!/home/ubuntu/www/midpoint/ser-ver/bin/python3.7
# -*- coding: utf-8 -*-
import re
import sys
from jsonschema.cli import main
if __name__ == '__main__':
sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0])
sys.exit(main())

11
ser-ver/bin/openapi-spec-validator

@ -0,0 +1,11 @@
#!/home/ubuntu/www/midpoint/ser-ver/bin/python3.7
# -*- coding: utf-8 -*-
import re
import sys
from openapi_spec_validator.__main__ import main
if __name__ == '__main__':
sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0])
sys.exit(main())

11
ser-ver/bin/pip

@ -0,0 +1,11 @@
#!/home/ubuntu/www/midpoint/ser-ver/bin/python3.7
# -*- coding: utf-8 -*-
import re
import sys
from pip import main
if __name__ == '__main__':
sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0])
sys.exit(main())

11
ser-ver/bin/pip3

@ -0,0 +1,11 @@
#!/home/ubuntu/www/midpoint/ser-ver/bin/python3.7
# -*- coding: utf-8 -*-
import re
import sys
from pip import main
if __name__ == '__main__':
sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0])
sys.exit(main())

11
ser-ver/bin/pip3.7

@ -0,0 +1,11 @@
#!/home/ubuntu/www/midpoint/ser-ver/bin/python3.7
# -*- coding: utf-8 -*-
import re
import sys
from pip import main
if __name__ == '__main__':
sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0])
sys.exit(main())

1
ser-ver/bin/python

@ -0,0 +1 @@
python3.7

1
ser-ver/bin/python3

@ -0,0 +1 @@
python3.7

1
ser-ver/bin/python3.7

@ -0,0 +1 @@
/usr/bin/python3.7

11
ser-ver/bin/virtualenv

@ -0,0 +1,11 @@
#!/home/ubuntu/www/midpoint/ser-ver/bin/python3.7
# -*- coding: utf-8 -*-
import re
import sys
from virtualenv import main
if __name__ == '__main__':
sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0])
sys.exit(main())

1
ser-ver/lib64

@ -0,0 +1 @@
lib

3
ser-ver/pyvenv.cfg

@ -0,0 +1,3 @@
home = /usr/bin
include-system-site-packages = false
version = 3.7.5

BIN
ser-ver/share/python-wheels/CacheControl-0.11.7-py2.py3-none-any.whl

Binary file not shown.

BIN
ser-ver/share/python-wheels/appdirs-1.4.3-py2.py3-none-any.whl

Binary file not shown.

BIN
ser-ver/share/python-wheels/certifi-2018.1.18-py2.py3-none-any.whl

Binary file not shown.

BIN
ser-ver/share/python-wheels/chardet-3.0.4-py2.py3-none-any.whl

Binary file not shown.

BIN
ser-ver/share/python-wheels/colorama-0.3.7-py2.py3-none-any.whl

Binary file not shown.

BIN
ser-ver/share/python-wheels/distlib-0.2.6-py2.py3-none-any.whl

Binary file not shown.

BIN
ser-ver/share/python-wheels/distro-1.0.1-py2.py3-none-any.whl

Binary file not shown.

BIN
ser-ver/share/python-wheels/html5lib-0.999999999-py2.py3-none-any.whl

Binary file not shown.

BIN
ser-ver/share/python-wheels/idna-2.6-py2.py3-none-any.whl

Binary file not shown.

BIN
ser-ver/share/python-wheels/ipaddress-0.0.0-py2.py3-none-any.whl

Binary file not shown.

BIN
ser-ver/share/python-wheels/lockfile-0.12.2-py2.py3-none-any.whl

Binary file not shown.

BIN
ser-ver/share/python-wheels/packaging-17.1-py2.py3-none-any.whl

Binary file not shown.

BIN
ser-ver/share/python-wheels/pip-9.0.1-py2.py3-none-any.whl

Binary file not shown.

BIN
ser-ver/share/python-wheels/pkg_resources-0.0.0-py2.py3-none-any.whl

Binary file not shown.

BIN
ser-ver/share/python-wheels/progress-1.2-py2.py3-none-any.whl

Binary file not shown.

BIN
ser-ver/share/python-wheels/pyparsing-2.2.0-py2.py3-none-any.whl

Binary file not shown.

BIN
ser-ver/share/python-wheels/requests-2.18.4-py2.py3-none-any.whl

Binary file not shown.

BIN
ser-ver/share/python-wheels/retrying-1.3.3-py2.py3-none-any.whl

Binary file not shown.

BIN
ser-ver/share/python-wheels/setuptools-39.0.1-py2.py3-none-any.whl

Binary file not shown.

BIN
ser-ver/share/python-wheels/six-1.11.0-py2.py3-none-any.whl

Binary file not shown.

BIN
ser-ver/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl

Binary file not shown.

BIN
ser-ver/share/python-wheels/webencodings-0.5-py2.py3-none-any.whl

Binary file not shown.

BIN
ser-ver/share/python-wheels/wheel-0.30.0-py2.py3-none-any.whl

Binary file not shown.